org.eclipse.net4j.util.ui.views

## Class ItemProvider<INPUT>

- java.lang.Object
- - org.eclipse.jface.viewers.ViewerComparator
  - - org.eclipse.jface.viewers.ViewerSorter
    - - org.eclipse.net4j.util.ui.StructuredContentProvider<INPUT>
      - - org.eclipse.net4j.util.ui.views.ItemProvider<INPUT>

- All Implemented Interfaces:
    java.util.EventListener, DelegatingStyledCellLabelProvider.IStyledLabelProvider, IBaseLabelProvider, IColorProvider, IContentProvider, IFontProvider, ILabelProvider, IStructuredContentProvider, ITreeContentProvider, IListener
  Direct Known Subclasses:
    ContainerItemProvider

      public abstract class ItemProvider<INPUT>
      extends StructuredContentProvider<INPUT>
      implements ITreeContentProvider, ILabelProvider, IColorProvider, IFontProvider, DelegatingStyledCellLabelProvider.IStyledLabelProvider

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.Object[]` | `NO_ELEMENTS`

    - ### Fields inherited from class org.eclipse.jface.viewers.ViewerSorter

      `collator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ItemProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addListener(ILabelProviderListener listener)`
    `protected void` | `fillContextMenu(IMenuManager manager, ITreeSelection selection)`
    `protected void` | `fireLabelProviderChanged()`
    `protected void` | `fireLabelProviderChanged(java.lang.Object element)`
    `protected void` | `fireLabelProviderChanged(java.lang.Object[] elements)`
    `Color` | `getBackground(java.lang.Object element)`
    `java.lang.Object[]` | `getElements(java.lang.Object parent)`
    `Font` | `getFont(java.lang.Object element)`
    `Color` | `getForeground(java.lang.Object element)`
    `Image` | `getImage(java.lang.Object obj)`
    `ILabelProviderListener[]` | `getListeners()`
    `StyledString` | `getStyledText(java.lang.Object obj)`
    `java.lang.String` | `getText(java.lang.Object obj)`
    `boolean` | `hasChildren(java.lang.Object parent)`
    `boolean` | `isLabelProperty(java.lang.Object element, java.lang.String property)`
    `void` | `removeListener(ILabelProviderListener listener)`

    - ### Methods inherited from class org.eclipse.net4j.util.ui.StructuredContentProvider

      `connectInput, disconnectInput, dispose, expandElement, getBoldFont, getDisplay, getInput, getItalicFont, getViewer, inputChanged, notifyEvent, refreshElement, refreshSynced, refreshViewer, revealElement, selectElement, updateLabels`

    - ### Methods inherited from class org.eclipse.jface.viewers.ViewerSorter

      `getCollator`

    - ### Methods inherited from class org.eclipse.jface.viewers.ViewerComparator

      `category, compare, getComparator, isSorterProperty, sort`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.jface.viewers.ITreeContentProvider

      `getChildren, getParent`

    - ### Methods inherited from interface org.eclipse.jface.viewers.IContentProvider

      `dispose, inputChanged`

    - ### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

      `dispose`

- - ### Field Detail

    - #### NO_ELEMENTS

          public static final java.lang.Object[] NO_ELEMENTS

  - ### Constructor Detail

    - #### ItemProvider

          public ItemProvider()

  - ### Method Detail

    - #### getElements

          public final java.lang.Object[] getElements(java.lang.Object parent)

      Specified by:
        `getElements` in interface `IStructuredContentProvider`
      Specified by:
        `getElements` in interface `ITreeContentProvider`

    - #### hasChildren

          public boolean hasChildren(java.lang.Object parent)

      Specified by:
        `hasChildren` in interface `ITreeContentProvider`

    - #### getStyledText

          public StyledString getStyledText(java.lang.Object obj)

      Specified by:
        `getStyledText` in interface `DelegatingStyledCellLabelProvider.IStyledLabelProvider`
      Since:
        3.5

    - #### getText

          public java.lang.String getText(java.lang.Object obj)

      Specified by:
        `getText` in interface `ILabelProvider`

    - #### getImage

          public Image getImage(java.lang.Object obj)

      Specified by:
        `getImage` in interface `DelegatingStyledCellLabelProvider.IStyledLabelProvider`
      Specified by:
        `getImage` in interface `ILabelProvider`

    - #### getBackground

          public Color getBackground(java.lang.Object element)

      Specified by:
        `getBackground` in interface `IColorProvider`

    - #### getForeground

          public Color getForeground(java.lang.Object element)

      Specified by:
        `getForeground` in interface `IColorProvider`

    - #### getFont

          public Font getFont(java.lang.Object element)

      Specified by:
        `getFont` in interface `IFontProvider`

    - #### isLabelProperty

          public boolean isLabelProperty(java.lang.Object element,
                                         java.lang.String property)

      Specified by:
        `isLabelProperty` in interface `IBaseLabelProvider`

    - #### getListeners

          public ILabelProviderListener[] getListeners()

    - #### addListener

          public void addListener(ILabelProviderListener listener)

      Specified by:
        `addListener` in interface `IBaseLabelProvider`

    - #### removeListener

          public void removeListener(ILabelProviderListener listener)

      Specified by:
        `removeListener` in interface `IBaseLabelProvider`

    - #### fillContextMenu

          protected void fillContextMenu(IMenuManager manager,
                                         ITreeSelection selection)

    - #### fireLabelProviderChanged

          protected void fireLabelProviderChanged()

    - #### fireLabelProviderChanged

          protected void fireLabelProviderChanged(java.lang.Object element)

    - #### fireLabelProviderChanged

          protected void fireLabelProviderChanged(java.lang.Object[] elements)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html